const JPush = {
  init: function() {
    try {
      if (window.JPush) {
        window.JPush.init();
        window.JPush.setDebugMode(true);

        // if (device.platform != "Android") {
        //   window.JPush.setApplicationIconBadgeNumber(0);
        // }
        console.log("JPush init success !");
      } else {
        console.log("JPush is not defined !");
      }
    } catch (exception) {
      console.log("Jpsuh init faield ! exception: ", exception);
    }
  }
};

export default JPush;
